:root
{
	--body-color: #FFFFFF;
	--text-color: black;
	--theme-color: blue;
	--theme-color-light: lightblue;
	--box-bg-color: #cff0f8;
	--footer-bg-color: #575756;
	--footer-text-color: #FFFFFF;
	--hover-color: green;

	--swiper-theme-color: white;
	--swiper-navigation-size: 3em;
	
	--content-width: 80rem;
	--content-padding: 2rem;
	--content-padding-vertical: 2em;
	--content-padding-horizontal: 1.5em;

	--status-color-available:darkgreen;
	--status-color-unknown:darkorange;
	--status-color-unavailable:darkred;
}

body
{
	color:var(--text-color);
	background-color: var(--body-color);
	font-family: var(--font-family), sans-serif;
	font-weight: 300;
	margin:0;
}

/*
body.toggled
{
	overflow: hidden;
}

*/

body.toggled header
{
	overflow: auto;
	max-height: 100vh;
}

main > .group > .wrapper,
main > section > .group > .wrapper
{
	max-width:var(--content-width);
	margin:auto;
}

.vectorviewer,
.modelviewer
{
	pointer-events: none;
	position: fixed;
	display: grid;
	align-items: center;
	top:0px;
	left:0px;
	right: 0px;
	bottom: 0px;
	z-index: -1;
}

.foreground .modelviewer
{
	z-index: 400;
}

.modelviewer .model-loading
{
	display: none;
}

.modelviewer .wrapper
{
	--is-iso-aspect-ratio:1.5;
}

.modelviewer [data-iso3d]
{
	position:absolute;
	top:0;
	left:0;
	right:0;
	bottom:0;
	width: 100%;
	height: 100vh;
	height: 100dvh;
}

a
{
	color:inherit;
	text-decoration: underline;
}

strong
{
	font-weight: bold;
}

.scroll-animated
{
	transform: translateY(5vh);
	opacity: 0;
	
}

.scroll-visible
{
	transition: transform .6s cubic-bezier(.3,.1,.3,1), opacity .9s ease-out;
	transform: none;
	opacity: 1;
}

header
{
	top:0;
	position:sticky;
	z-index: 901;
	background-color: var(--body-color);
}

header .wrapper,
footer > .wrapper
{
	margin:auto;
	max-width:80em;
	padding:1em 2em;
}

header .wrapper
{
	display: flex;
	justify-content: space-between;
	flex-direction: row-reverse;
	align-items: center;
}

header .items
{
	position: relative;
	display:flex;
	justify-content: space-between;
	align-items: center;
}

header .logo img
{
	display:block;
	object-fit: contain;
	object-position: right center;
	height:6em;
	width: 18em;
}

header nav,
footer nav
{
	display:flex;
	gap: 1.5em;
}

header nav,
header .language
{
	font-weight: 400;
	font-size: 0.9em;
	text-transform: uppercase;
	background-color: var(--body-color);
}

header nav a,
header .language a
{
	text-decoration: none;
	color: var(--navi-color);
	line-height: 1.3em;
	position: relative;
}

header nav a:before
{ 
	content: ''; 
	bottom: -3px; 
	height: 1px; 
	display: block; 
	left: 0; 
	position: absolute; 
	background-color: var(--navi-color); 
	width: 0; 
	transition: all 0.7s cubic-bezier(0.65, 0, 0.49, 0.9);
}

header nav a:hover:before,
header nav a.active:before
{
	width: 100%;
}

header .headerbutton
{
	display: block;
	width: 110px;
	position: absolute;
	left: -170px;
	top: 2.2em;
	z-index: 2;
	transition : all .25s;
}

header .headerbutton:hover
{
	transform: scale(1.1);
}

header .headerbutton img
{
	width: 100%;
}


header .language
{
	position: absolute;
	top: 0px;
	right: 2rem;
}

header .language a
{ 
	display: inline-block;
	border: 1px solid var(--navi-color);
	border-top: 0px;
	padding: .1em .5em;
}

header .language a.active
{
	background: var(--navi-color);
	color: var(--body-color);
}


header .nav-toggle
{
	display: none;
	font-size: 2em;
	width: 1.5em;
	height: 1.5em;
	padding: .5em;
	align-items: center;
	justify-content: center;
	min-width: 0;
	border: 0px;
	border: 1px solid var(--burger-color);
	color: var(--burger-color);
	background: none;
	cursor: pointer;
}

header .nav-toggle::after
{
	content: "\f0c9";
}

.toggled header .nav-toggle::after
{
	content: "\f00d";
}

.group:not(.group-nopad) > .wrapper
{
	padding:var(--content-padding-vertical) var(--content-padding-horizontal);
}

.group > .wrapper > .element,
.box > .wrapper > .element
{
	margin:1em 0;
}

.group:not(.group-noclip) > .wrapper > .element:first-child,
.box > .wrapper > .element:first-child,
.group:not(.group-noclip) > .wrapper > .element.title:first-child > .wrapper > h1,
.box > .wrapper > .element.title:first-child > .wrapper > h1,
.group:not(.group-noclip) > .wrapper > .element.subtitle:first-child > .wrapper > h2,
.box > .wrapper > .element.subtitle:first-child > .wrapper > h2
{
	margin-top:0;
}

.group:not(.group-noclip) > .wrapper > .element:last-child,
.box > .wrapper > .element:last-child,
.group:not(.group-noclip) > .wrapper > .element.title:last-child > .wrapper > h1,
.box > .wrapper > .element.title:last-child > .wrapper > h1,
.group:not(.group-noclip) > .wrapper > .element.subtitle:last-child > .wrapper > h2,
.box > .wrapper > .element.subtitle:last-child > .wrapper > h2
{
	margin-bottom:0;
}

.dlv-popup-body.group:not(.group-nopad) > .wrapper
{
	padding-top: 0;
}

/* elements */
.box
{
	background-color: var(--box-bg-color);
	padding: 4em 2em;
}

.title
{
	color: var(--theme-color);
}

.title h1,
.offer-title h1
{
	font-size: 3.75em;
	font-weight: 300;
	text-align: center;
}

.subtitle
{
	color: var(--theme-color);
}

.subtitle h2
{
	font-size: 2em;
	font-weight: 300;
	text-align: center;
	margin: 1.5em 0 1em 0;
}

.text2col .wrapper
{
	column-count: 2;
	column-gap: 2em;
}

.text .wrapper
{
	max-width: 56em;
	margin: auto;
}

.typo
{
	color: var(--text-color);
	line-height: 1.3em;
}

.image .wrapper
{
	max-width: 56em;
	margin: auto;
}

.image.fullscreen .wrapper {
	max-width: unset;
}

.images .wrapper
{
	display: grid;
	grid-template-columns: 1fr 1fr;
}

.image-single img {
	display: block;
	width: 100%;
}

.images a,
.image a,
.images img,
.image img
{
	display:block;
	width:100%;
}

.images .legend,
.image .legend
{
	display: none;
}

.slideshow.element
{
	margin-top: -1px;
}

/*Fix Grid fr unit*/
.slideshow .swiper:not(.multi)  .swiper-slide
{
	width: 100% !important;
}

.slideshow .swiper-slide > img
{
	display:block;
	width:100%;
}

.slideshow .swiper-slide > .legend
{
	display: none;
	position: absolute;
	bottom: 0; 
	left:0; 
	right:0;
	color:white;
	text-align:center;
	z-index:1;
	pointer-events: none;
	text-shadow:0px 0px 15px #333;
	padding:2em;
}

.slideshow .overlay
{
	position: absolute;
	top: -1px;
	left: 0;
	bottom: -1px;
	right: 0;
	z-index: 1;
	background-position: center bottom;
	background-size: cover;
	background-repeat: no-repeat;
	pointer-events: none;
}



.slideshow .multi .legend,
.slideshow .multi .swiper-button-next,
.slideshow .multi .swiper-button-prev
{
	display: none;
}

.parallax
{
	position: relative;
}

.parallax .bg
{
	position: sticky;
	top: var(--header-height);
	z-index: -1;
	height: 0;
}

.parallax img,
.parallax video
{
	display:block;
	width:100%;
}

.parallax .overlay
{
	position: absolute;
	top: -1px;
	left: 0;
	bottom: -1px;
	right: 0;
	z-index: 1;
	background-position: center bottom;
	background-size: cover;
	background-repeat: no-repeat;
	pointer-events: none;

}

.parallax .spacer
{
	pointer-events: none;
	opacity: 0;
}

.box .columns > .wrapper,
.slideshow.small .wrapper,
.gallery .wrapper
{
	max-width:80em;
	margin:auto;
}

.gallery .items
{
	display:flex;
	flex-wrap: wrap;
	justify-content: center;
	gap:1em;
}

.gallery .items a
{
	display: block;
	width: calc(50% - 0.5em);
	aspect-ratio: 3 / 2;
	background-size: 100%;
	background-position: bottom center;
}


.gallery .items a.scroll-animated
{
	opacity: 0;
	transform: translateY(5vh);
	
}

.gallery .items a.scroll-visible
{
	transition: transform .6s cubic-bezier(.3,.1,.3,1), opacity .75s cubic-bezier(.3,.1,.3,1), background-size .75s ease-in;	
	transform: none;
	opacity: 1;
}


.gallery .items a:hover
{
	background-size: 105%;
}




.gallery .legend
{
	display: none;
}


.gallery.vtours a
{
	display: block;
	position: relative;
	
}

.gallery.vtours a .overlay
{
	position: absolute;
	top: 0px;
	bottom: 0px;
	left: 0px;
	right: 0px;
	background: rgba(0,0,0,.7);
	color: #FFFFFF;
	padding: 2em;
	display: flex;
	flex-direction: column;
	justify-content: center;
	text-align: center;
}

.gallery.vtours a .overlay .icon
{
	font-size: 8em;
}

.gallery.vtours a .overlay .iconsmall
{
	font-size: 3em;
	padding: .5em;
}

.links .items
{
	display:flex;
	gap: 1em;
	flex-wrap:wrap;
	justify-content: center;
}


.links .items .link 
{
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	align-items: center;
}

.links .items .link i
{
	font-size: 4em;
	padding: .5em;
}

.links .items .link img
{
	display: block;
	width: 12em;
	margin: 1em auto 1em auto;
	box-shadow: 0px 0px 6px 0px rgba(0,0,0,0.48);
}



.distances .wrapper
{
	max-width: 56em;
	margin: auto;
}


.distances table
{
	width: 100%;
	
	border-spacing: 3px;
}

.distances table thead td
{
	font-size: 1.5em;
	color: var(--theme-color);
	background: none;
}

.distances table thead td:nth-child(2)
{
	width: 80%;
}


.distances table td,
.distances table th
{
	padding: .5em;
	text-align: center;
	background: var(--theme-color-light);
	min-width: 2em;
	
}

.distances table th
{
	text-align: left;
	
	font-weight: normal;
}

.distances table td
{
	white-space: nowrap;
	
}

.distances table td.icon
{
	font-size: 1.5em;
	color: var(--theme-color);
}

.distances .walk::before 
{
	font: var(--fa-font-regular);
	content: "\f554";
}

.distances .bike::before 
{
	font: var(--fa-font-regular);
	content: "\f206";
}

.distances .car::before 
{
	font: var(--fa-font-regular);
	content: "\f1b9";
}

.distances .public::before 
{
	font: var(--fa-font-regular);
	content: "\f207";
}


[data-slider] .slider-input
{
	padding:0 8px;
	margin:8px 0;
	height: 10px;
}

[data-slider] .slider-value
{
	font-size:smaller;
}

[data-slider] .slider-value span
{
	white-space: nowrap;
}

[data-slider] .slider-input,
[data-slider] .slider-input .noUi-handle
{
	box-shadow: none;
}

/* Hide markers on slider handles */
[data-slider] .slider-input .noUi-handle::before,
[data-slider] .slider-input .noUi-handle::after
{
	display: none;
}

[data-slider] .slider-input .noUi-connect
{
	background: var(--offer-active-color);
}

[data-slider] .slider-input .noUi-handle
{
	height: 18px;
	width: 18px;
	top: -5px;
	right: -9px; /* half the width */
	border-radius: 9px;
}

[data-iso3d]
{
	position:relative;
	aspect-ratio: var(--is-iso-aspect-ratio,1);
}

[data-iso3d] canvas 
{
	position: absolute;
	top:0;
	left:0;
	box-sizing: border-box;
	background: transparent;
	bottom: 0;
	width: 100% !important;
	height: 100% !important;
	outline: none;
}

.model > .wrapper
{
	position:relative;
}

.model-toolbar,
.model-direction
{
	position:absolute;
	display:flex;
	z-index:1;
}

.model-toolbar.model-toolbar-navigation
{
	top:0;
	left:1px;
}

.model-toolbar.model-toolbar-rotation
{
	bottom:0;
	right:1px;
}

.model-toolbar.model-toolbar-size
{
	right:1px;
	top:50%;
	flex-direction:column;
	transform:translateY(-50%);
}

.model-overlay,
.model-loading
{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	display:grid;
	place-items: center;
	box-sizing: border-box;
	z-index:1;
	pointer-events:none;
}

.model-overlay
{
	display:none;
}

.model-overlay.model-overlay-mouse,
.model-overlay.model-overlay-touch
{
	/*display:grid;*/
	color:white;
	font-size:clamp(1em,3vw,1.5em);
	padding:2em;
	text-align:center;
}

.model-overlay.model-overlay-mouse > div,
.model-overlay.model-overlay-touch > div
{
	background:rgba(0,0,0,.3);
	padding: .5em 1em;
}

.model-overlay.model-overlay-mouse .model-info-touch,
.model-overlay.model-overlay-touch .model-info-mouse
{
	display:none;
}

.model-loading-done
{
	display:none;
}

.model-toolbar > div
{
	background:white;
	outline:1px solid black;
}

.model-toolbar > div::after,
.model-loading > div::after,
.model-direction::after
{
	display: block;
	font:var(--fa-font-regular);
	cursor: pointer;
	width:1em;
	height:1em;
	padding: 1em;
	margin:auto;
}

.model-loading > div::after{
	content:"\f110";
	animation-name: fa-spin;
	animation-duration: var(--fa-animation-duration, 2s);
	animation-iteration-count: var(--fa-animation-iteration-count, infinite);
	animation-timing-function: var(--fa-animation-timing, linear);
}

.model-toolbar
{
	display:none;
}

.model-toolbar .model-prev::after{content:"\f01e"; transform:rotate(-45deg)}
.model-toolbar .model-next::after{content:"\f0e2"; transform:rotate(45deg)}
.model-toolbar .model-zoom-in::after{content:"\f00e";}
.model-toolbar .model-home::after{content:"\f015";}
.model-toolbar .model-zoom-out::after{content:"\f010";}
.model-toolbar .model-fullscreen::after{content:"\f065";}
.model-toolbar .model-maximize::after{content:"\f31e";}
.model-toolbar .model-settings::after{content:"\f013";}

.model-direction
{
	right:0;
	bottom:0;
	font-size:2em;
}

.model-direction::after{
	padding:.5em;
	content:"\f602"; 
	transform-style: preserve-3d;
	transform:rotate(calc(-45deg + var(--model-direction)))
}

.model-tooltips,
.model-ui
{
	position:absolute;
	overflow: hidden;
	top:0;
	left:0;
	right:0;
	bottom:0;
	pointer-events: none;
}

.model-ui > *
{
	pointer-events: auto;
}

.model-tooltip
{
	--model-tooltip-padding:1em;
	--model-tooltip-background:var(--offer-bg-color, --box-bg-color, --theme-color);
	color: var(--text-color);
	display:none;
	transform-style: preserve-3d;
	position:absolute;
	transform: translateX(-50%);
	pointer-events:none;
	padding:var(--model-tooltip-padding);
	transition: opacity .5s;
	z-index:var(--model-tooltip-z);
	cursor:pointer;
	transform:translate(calc(-50% + var(--model-tooltip-x)), calc(-100% + var(--model-tooltip-y)));
}

.model-tooltip::after
{
	content:"";
	display:block;
	position:absolute;
	width: 0; 
	height: 0; 
	bottom:1px;
	left:50%;
	transform:translateX(-50%);
	border-left: var(--model-tooltip-padding) solid transparent;
	border-right: var(--model-tooltip-padding) solid transparent;
	border-top: var(--model-tooltip-padding) solid var(--model-tooltip-background);
}

.model-tooltip:not(:empty).model-tooltip-visible
{
	display:block;
	pointer-events: auto;
}

.model-logo
{
	position:absolute;
	bottom: 1em;
	left: 1em;
}

.model-logo,
.model-logo svg
{
	height:1.1em;
}

.model-logo-small
{
	display:none;
}

.model-logo svg
{
	transition:opacity .5s ease;
	opacity: .7;
}

.model-logo:hover svg
{
	opacity: 1;
}

@media(max-width: 1000px)
{
	.model-logo-small
	{
		display: block;
	}

	.model-logo-large
	{
		display:none;
	}
}

/* DLV */
.dlv .dlv-title
{
	display:flex;
	align-items: baseline;
	flex-wrap: wrap;
	gap: 1.25em;
}

.dlv .dlv-title h1
{
	margin:0;
}

.dlv-popup table
{
	width: 100%;
	border-collapse: collapse;
}

.dlv-popup table tr {
	border-bottom: 1px solid var(--offer-text-color-popup, var(--offer-text-color));
}

.dlv-popup table td,
.dlv-popup table th
{
	padding:.25em .5em;
	white-space: nowrap;
}

.dlv-popup-header {
	background-color: var(--offer-popup-bg-color);
	position: sticky;
	top: 0;
}

.dlv-popup-header h1 {
	display: flex;
	justify-content: space-between;
	font-weight: 300;
	font-size: 2em;
	text-align: left;
	color: var(--offer-text-color-popup, var(--offer-text-color));
}

.dlv-entry-body[data-dlv-popup]:hover
{
	cursor:pointer;
}

.dlv .dlv-group h2
{
	margin-top: 1em;
	margin-bottom: .5em;
	font-size: 2em;
	font-weight: 300;
}

.dlv .dlv-group h2 small {
	display: block;
	margin-top: .5em;
	font-size: .5em;
}

.dlv [data-reference]:hover,
.dlv [data-reference].active
{
	background:var(--offer-active-color);
}

.dlv .dlv-entry-header,
.dlv .dlv-entry-body
{
	display:grid;
	grid-template-columns: minmax(0,1fr) minmax(0,2fr) minmax(0,1fr);
	grid-template-areas: "dlv-title dlv-title dlv-title";
}

.dlv .dlv-entry-header:has(.dlv-entry-primary),
.dlv .dlv-entry-body:has(.dlv-entry-primary)
{
	grid-template-areas: "dlv-title dlv-title dlv-primary";
}

.dlv .dlv-entry-header:has(.dlv-entry-facts),
.dlv .dlv-entry-body:has(.dlv-entry-facts)
{
	grid-template-areas: "dlv-title dlv-facts dlv-primary";
}

@container (max-width: 35em)
{
	.dlv .dlv-entry-header,
	.dlv .dlv-entry-body
	{
		grid-template-columns: minmax(0,2fr) minmax(0,1.2fr);
		grid-template-areas: "dlv-title dlv-title";
}

	.dlv .dlv-entry-header:has(.dlv-entry-primary),
	.dlv .dlv-entry-body:has(.dlv-entry-primary)
{
		grid-template-areas: "dlv-title dlv-primary";
}

	.dlv .dlv-entry-header:has(.dlv-entry-facts),
	.dlv .dlv-entry-body:has(.dlv-entry-facts)
	{
		grid-template-areas: "dlv-title dlv-title"
			"dlv-facts dlv-primary";
	}
}

.dlv .dlv-list .dlv-entry-container
{
	display:flex;
	flex-direction:column;
	container-type: inline-size;
}

.dlv .dlv-list .dlv-entry-header,
.dlv .dlv-list .dlv-entry-body {
	border-bottom: 1px solid var(--offer-text-color);
}

.dlv .dlv-list .dlv-entry-body
{
	padding:.5rem;
}

.dlv .dlv-list [data-reference]
{
	cursor:pointer;
}

.dlv .dlv-list .dlv-entry-header
{
	padding:0 .5rem;
}

.dlv .dlv_reference,
.dlv-popup .dlv_reference
{
	display:none;
}

.dlv .filter-button
{
	display:grid;
	align-items:center;
	grid-template-columns:auto 1fr auto;
	gap:.5em;
	background:none;
	padding:.5em 0;
}

.dlv .filters
{
	display:flex;
	flex-wrap:wrap;
	gap:1em;
	padding: .5rem 0;
	margin-top:1px;
}

.dlv .filter-disabled,
.dlv .filters-disabled
{
	display:none;
}

@container (max-width:40em)
{
	.dlv .filters
	{
		flex-direction:column;
	}
}

.dlv .toggled .filters,
.dlv .filter-button:not(.active) .fa-angle-up,
.dlv .filter-button .fa-angle-down
{
	display:none;
}

.dlv .filters .filter[data-filter-type=slider]
{
	flex: 1 0 auto;
	min-width:8em;
}

.dlv .filters .checkbox
{
	display:block;
	margin:5px 0;
	white-space: nowrap;
}

.dlv .filtered
{
	display:none;
}

.dlv .dlv-list .dlv-entry-header
{
	padding:0 .5rem;
}

.dlv .dlv-entry-header .dlv-entry-field
{
	text-transform:uppercase;
	font-size:.6em;
}

.dlv .dlv-entry-title,
.dlv-tooltip-title
{
	grid-area: dlv-title;
}

.dlv .dlv-entry-facts,
.dlv-tooltip-facts
{
	grid-area: dlv-facts;
}

.dlv .dlv-entry-facts
{
	display:grid;
	grid-template-columns: var(--dlv-entry-column-sizes-secondary);
}

.dlv .dlv-entry-primary,
.dlv-tooltip-primary
{
	grid-area: dlv-primary;
}

.dlv .dlv-entry-field,
.dlv-popup table td
{
	padding:.5rem;
}

.dlv .dlv-entry-field
{
	overflow:hidden;
	text-overflow: ellipsis;
	white-space:nowrap;
	box-sizing: border-box;
}

.dlv .dlv-entry-field.dlv-entry-field-title,
.dlv-tooltip .dlv-entry-field.dlv-entry-field-title
{
	font-weight:bold;
}

.dlv-tooltip
{
	display: grid;
	grid-template-areas: "dlv-title"
		"dlv-primary";
	text-align: center;
}

.dlv-tooltip:has(.dlv-tooltip-facts)
{
	grid-template-areas: "dlv-title dlv-primary"
		"dlv-facts dlv-facts";
}

.dlv-tooltip .dlv-tooltip-facts
{
	display: flex;
	justify-content: space-between;
}

.dlv-tooltip:has(.dlv-tooltip-facts) .dlv-tooltip-primary
{
	text-align: right;
}

.dlv-tooltip .dlv-entry-field
{
	padding:.5em;
}

.dlv-tooltip
{
	padding: .5em;
	box-shadow: 3px 3px 10px 0px rgba(50, 50, 50, .5);
	background-color: var(--model-tooltip-background);
}

.model-tooltip:not(.active, .selected) .dlv-tooltip :is(.dlv-tooltip-title, .dlv-tooltip-facts, .dlv-tooltip-primary),
.model-tooltip:is(.active, .selected) .dlv-tooltip :is(.dlv-tooltip-icon)
{
	display:none;
}

.dlv-tooltip .dlv-tooltip-facts,
.dlv-tooltip:not(:has(.dlv-tooltip-facts)) .dlv-tooltip-primary
{
	border-top: 1px solid var(--offer-text-color);
}


@container (max-width: 60em)
{
	.dlv .dlv-entry-field
	{
		display:none;
	}
	
	.dlv .dlv-entry-field.required
	{
		display:block;
	}
	
	.dlv .dlv-entry-facts
	{
		grid-template-columns: var(--dlv-entry-column-sizes-required);
	}
}

/* offer*/
.offer .filters .filter[data-filter-type=slider][data-filter-field=rentalprice_incl],
.offer .filters .filter[data-filter-type=slider][data-filter-field=sellingprice],
.offer .filters .filter[data-filter-type=slider][data-filter-field=rentalpriceexcl_m2y]
{
	flex: 2 0 auto;
}

.offer .filters .filter[data-filter-type=checkbox][data-filter-field=availability_status] label:not(:has(input[value=free]))
{
	display: none;
}

.offer .dlv-entry-header .dlv-entry-title
{
	display:none;
}

[data-dlv-context=offer] [data-reference]:not([data-availability_status="free"]) .primary,
[data-dlv-tooltip=offer]:not([data-availability_status="free"]) .primary
{
	color:var(--status-color-unavailable);
}

[data-dlv-context=offer] [data-reference][data-availability_status="reserved"] .primary,
[data-dlv-tooltip=offer][data-availability_status="reserved"] .primary
{
	color:var(--status-color-unknown);
}

[data-dlv-context=offer] [data-reference][data-availability_status="free"] .primary,
[data-dlv-tooltip=offer][data-availability_status="free"] .primary
{
	color:var(--status-color-available);
	font-weight:bold;
}

.offer .dlv_reference,
.offer-popup .dlv_reference
{
	display:initial;
}

.dlv-popup .dlv-popup-close
{
	display:none;
}

/* location*/
.model-tooltip.filter:has([data-dlv-tooltip=location])
{
	display:none;
}

[data-dlv-tooltip=location] .dlv_reference
{
	display:none;
}

.property_status.tag-pill
{
	font-size:.5em;
	vertical-align:middle;
	border-color:var(--contrast-color);
	color:var(--contrast-color);
}

:not([data-availability_status="free"]) .property_status.tag-pill
{
	--contrast-color:var(--status-color-unavailable);
}

[data-availability_status="reserved"] .property_status.tag-pill
{
	--contrast-color:var(--status-color-unknown);
}

[data-availability_status="free"] .property_status.tag-pill
{
	--contrast-color:var(--status-color-available);
}

/* interactive */
.interactive
{
	--interactive-height: calc(100svh - var(--header-height));
	--interactive-sidebar-margin: 0px;
}

.interactive > .wrapper > .items
{
	display:grid;
}

.interactive:has(.model-size-large)
{
	--interactive-sidebar-margin: 2em;
}

.interactive:has(.model-size-medium) > .wrapper > .items
{
	grid-template-areas: "start iso sidebar end";
	grid-template-columns: auto minmax(0,60em) minmax(0,calc(40em + var(--interactive-sidebar-margin) * 2)) auto;
}

.interactive:has(.model-size-medium) .interactive-model,
.interactive:has(.model-size-medium) .interactive-model .model,
.interactive:has(.model-size-medium) .interactive-model .model > .wrapper,
.interactive:has(.model-size-medium) .interactive-model .model .model-iso
{
	grid-area: iso;
}

.interactive:has(.model-size-large) > .wrapper > .items
{
	grid-template-areas: "iso sidebar";
	grid-template-columns: auto minmax(0,calc(40em + var(--interactive-sidebar-margin) * 2));
}

.interactive:has(.model-size-large) [data-model]
{
	width: 100%;
	height: var(--interactive-height);
}

.interactive:has(.model-size-medium) .interactive-model,
.interactive:has(.model-size-medium) .interactive-model .model,
.interactive:has(.model-size-medium) .interactive-model .model > .wrapper,
.interactive:has(.model-size-large) .interactive-model,
.interactive:has(.model-size-large) .interactive-model .model,
.interactive:has(.model-size-large) .interactive-model .model > .wrapper
{
	display:grid;
	grid-template-rows: subgrid;
	grid-template-columns: subgrid;
}


.interactive:has(.model-size-large) .interactive-model,
.interactive:has(.model-size-large) .interactive-model .model,
.interactive:has(.model-size-large) .interactive-model .model > .wrapper,
.interactive:has(.model-size-large) .interactive-model .model .model-iso
{
	grid-area: iso / iso / sidebar / sidebar;
}

.interactive:has(.model-size-medium) .interactive-model .model .model-ui,
.interactive:has(.model-size-large) .interactive-model .model .model-ui
{
	position:relative;
	grid-area: iso;
}

.interactive:has(.model-size-medium) .interactive-model .model .model-iso,
.interactive:has(.model-size-medium) .interactive-model .model .model-ui,
.interactive:has(.model-size-large) .interactive-model .model .model-iso,
.interactive:has(.model-size-large) .interactive-model .model .model-ui
{
	position:sticky;
	top:var(--header-height);
	overflow: hidden;
}

.interactive:has(.model-size-medium) .interactive-model .model .model-iso,
.interactive:has(.model-size-medium) .interactive-model .model .model-ui
{
	aspect-ratio: var(--is-iso-aspect-ratio, 16 / 9);
}

.interactive:has(.model-size-large) .interactive-model .model .model-iso,
.interactive:has(.model-size-large) .interactive-model .model .model-ui
{
	height:var(--interactive-height)
}

.interactive .interactive-sidebar
{
	position:relative;
	container-type: inline-size;
	grid-area: sidebar;
	margin:var(--interactive-sidebar-margin);
}

.interactive .interactive-sidebar-content,
.interactive .dlv-popup 
{
	color: var(--offer-text-color);
	background-color: var(--offer-bg-color);
}

.interactive .dlv-popup {
	background-color: var(--offer-popup-bg-color, var(--offer-bg-color));
	color: var(--offer-text-color-popup, var(--offer-text-color));
}

.interactive .dlv-popup .typo {
	color: var(--offer-text-color-popup, var(--offer-text-color));
}

.interactive .interactive-sidebar-content .title {
	color: var(--offer-text-color);
}

.interactive .interactive-sidebar-content > .group > .wrapper > .title h1 {
	text-align: start;
	margin: 0;
}

.interactive .interactive-sidebar-popup
{
	position:sticky;
	bottom:0;
	width:100%;
	height:0;
	transition:all .5s;
	transform:translateY(100%);
	opacity:0;
	pointer-events:none;
	z-index:1;
}

.interactive.interactive-state-popup .interactive-sidebar-popup
{
	transform:translateY(0%);
	height:var(--interactive-height);
	opacity:1;
	pointer-events:auto;
	box-shadow: 0px 0px 10px 0px gray;
}

.interactive .dlv-popup .dlv-popup-close
{
	display:none;
}

.interactive .dlv-popup .dlv-popup-close
{
	display:initial;
	cursor:pointer;
}

@keyframes fade-in
{
	0% {transform:translateY(100%);opacity: 0;}
	100% {transform:translateY(0%);opacity: 1;}
}

@keyframes fade-out
{
	0% {opacity: 1;}
	100% {opacity: 0;}
}

.interactive .dlv-popup.toggled
{
	display:block;
	overflow:auto;
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	animation: fade-in 250ms forwards;
}

.interactive .dlv-popup.closing
{
	animation: fade-out 250ms forwards;
}

@media(orientation: portrait)
{
	.interactive:has(.model-size-medium) > .wrapper > .items,
	.interactive:has(.model-size-large) > .wrapper > .items
	{
		grid-template-columns: none;
		grid-template-areas: "iso"
		"sidebar";
	}

	.interactive:has(.model-size-medium) .interactive-model,
	.interactive:has(.model-size-medium) .interactive-model .model,
	.interactive:has(.model-size-medium) .interactive-model .model > .wrapper,
	.interactive:has(.model-size-medium) .interactive-model .model .model-iso
	{
		grid-area: iso / iso / sidebar / sidebar;
	}

	.interactive:has(.model-size-medium) .interactive-model .model .model-iso, 
	.interactive:has(.model-size-medium) .interactive-model .model .model-ui
	{
		aspect-ratio: auto;
	}
	
	.interactive:has(.model-size-medium) .interactive-model .model .model-iso,
	.interactive:has(.model-size-medium) .interactive-model .model .model-ui,
	.interactive:has(.model-size-large) .interactive-model .model .model-iso,
	.interactive:has(.model-size-large) .interactive-model .model .model-ui
	{
		grid-area: iso;
		z-index:2;
	}

	.interactive:has(.model-size-medium) .interactive-model .model .model-iso,
	.interactive:has(.model-size-medium) .interactive-model .model .model-ui,
	.interactive:has(.model-size-medium) [data-model],
	.interactive:has(.model-size-large) .interactive-model .model .model-iso,
	.interactive:has(.model-size-large) .interactive-model .model .model-ui,
	.interactive:has(.model-size-large) [data-model]
	{
		height: calc(50svh - var(--header-height) / 2);
	}
	
	.interactive .model-iso
	{
		background:var(--box-bg-color,white);
	}
	
	.interactive.interactive-state-popup .interactive-sidebar-popup
	{
		height:calc((100dvh - var(--header-height)) - (50svh - var(--header-height) / 2));
	}
	
	.interactive:has(.model-size-large) .interactive-sidebar
	{
		margin:0;
		display:block;
	}
	
/* 	.offer .offer-tooltip.offer-tooltip-orientation-top
	{
		transform: translate(calc(-50% + var(--offer-tooltip-x)), calc(-100% + var(--offer-tooltip-y))) scale(.5) translateY(50%);
	} */
}

.plan img
{
	display:block;
	width:100%;
	box-shadow: 0 0 2px 1px #ddd;
}

[data-toggle]
{
	cursor: pointer;
	user-select: none; 
}

.accordion .accordion-header h3
{
	display: flex;
	align-items: baseline;
	gap: .5em;
}

.accordion .accordion-header h3:before 
{
	flex-shrink: 0;
	text-align: center;
	content: "\f054";
	font: var(--fa-font-regular);
	width: 1em;
}

.accordion .accordion-item.toggled .accordion-header h3:before 
{
	content: "\f078";
}

.accordion .accordion-item:not(.toggled) .accordion-body
{
	display: none;
}

.tabs .tabs-nav
{
	display:flex;
	flex-wrap: wrap;
	border-bottom:1px solid black;
}

.tabs .tabs-nav-item
{
	margin-bottom: -1px;
	border:1px solid #00000000;
}

.tabs .tabs-nav-item.active
{
	border-color: black;
	border-bottom-color:white;
}

.tabs .tabs-nav-item h3
{
	padding: 1em;
	margin:0
}

.tabs .tabs-item:not(.toggled) .tabs-body
{
	display: none;
}

input,
select
{
	margin:0;
}

input[type=text],
input[type=email],
input[type=tel],
textarea,
button,
select
{
	box-sizing:border-box;
	font:inherit;
	color: #3c3c3b;
}

input[type=text],
input[type=email],
input[type=tel],
textarea,
select
{
	display:block;
	width:100%;
	border: 0;
	border-bottom:1px solid var(--theme-color);
	padding:.5em .5em .25em .5em;
	border-radius: 0;
	background: #FFFFFF;
}



textarea
{
	height: 10em;
}

button,
.button,
.contactform button
{
	background: var(--offer-popup-bg-color, var(--theme-color-light));
	border: 1px solid var(--theme-color);
	border-radius: 5px;
	color: var(--offer-text-color-popup, var(--theme-color));
	padding: .75em 1em;
	white-space: nowrap;
	display: inline-block;
	font-weight:normal;
	font-size: .9em;
	min-width: 16em;
	text-align: center;
	text-decoration: none;
	cursor: pointer;
	 transition: all .2s ease-in-out;
}

button.f-button
{
	min-width: 0;
}


.button:hover,
button:hover,
.contactform button:hover
{
	transform: scale(1.05);
	color: var(--theme-color-light);
	background: var(--theme-color);
	border: 1px solid var(--theme-color);
	
}

.contactform button
{
	text-transform: uppercase;
}


.contactform button::after
{
	font: var(--fa-font-regular);
	content: "\f1d8";
	margin-left: .35em;
	
}



.button.primary,
button.primary
{
	font-weight:bold;
}

.button.secondary,
button.secondary
{
	font-weight: normal;
	background: none;
}


.contact > .wrapper,
.contactform > .wrapper
{
	max-width: 80em;
	margin: 0 auto 2em auto;
}

.contact > .wrapper > .items
{
	display:grid;
	grid-template-columns: 3fr 2fr;
	gap:4em;
	margin:0;
}

.contact .subtitle h2
{
	text-align: left;
	margin-top: 0;
}

.contact .info 
{
	display: flex;
	flex-direction: column;
	gap: 1em;
}

.contact .info > div.person,
.contact .info > div.company
{
	background: var(--theme-color-light);
	padding: 2em;
}

.contact .info a
{
	text-decoration: none;
}



.contact .person img,
.contact .company img
{
	width: 200px;
	margin-bottom: 1em;
}

.contact .person .name
{
	font-weight: 500;
	margin-bottom: .5em;
}

.contact .company .city
{
	margin-bottom: 1em;
}

.contact .subtitle h2
{
	text-align: left;
	margin-top: 0;
}


.contactform .form-group
{
	margin-bottom:1.5em;
}

.contactform .form-label
{
	display: block;
	padding-bottom: 0.5em;
}

.contactform .form-warning
{
	color:red;
	margin-bottom: .5em;
	margin-top:.25em;
	display:block;
	width:100%;
}

.contactform .form-invalid
{
	border-color:red;
}

.contactform .form-interest-selection
{
	display:grid;
	grid-template-columns: 1fr 1fr;
	gap: 0 1em;
}

.contactform .form-interest-selection [data-interest-type=radio]
{
	grid-column: 1 / span 2;
}

.contactform .selectables
{
	display:flex;
	flex-wrap:wrap;
	gap: 0 1em;
}

.contactform .selectables > label
{
	display:flex;
	align-items: center;
	gap:.5em;
}

.contactform input[name=Email_Address]{display:none;}

.contactform .ajax-loading,
.contactform .ajax-error,
.contactform .mail.success,
.contactform .mail.error
{
	
	background: green;
	padding:3em 1em;
	text-align:center;
	color:white;
}

.contactform .ajax-error,
.contactform .mail.error
{
	background:red;
}

.contactform .ajax-form .ajax-loading,
.contactform .ajax-form .ajax-result,
.contactform .ajax-form .ajax-error,
.contactform .ajax-form.ajax-state-loading form,
.contactform .ajax-form.ajax-state-success form
{
	display:none;
}

.contactform .ajax-form.ajax-state-loading .ajax-loading,
.contactform .ajax-form.ajax-state-success .ajax-result,
.contactform .ajax-form.ajax-state-error .ajax-error
{
	display:block;
}

.contactinfo > .wrapper {
	max-width: 80em;
	margin: 0 auto;
}

.contactinfo .items
{
	display: flex;
	flex-direction: column;
	gap: 1em;
}

.contactinfo > div.person,
.contactinfo > div.company
{
	background: var(--theme-color-light);
	padding: 2em;
}

.contactinfo a
{
	text-decoration: none;
}

.contactinfo .person img,
.contactinfo .company img
{
	width: 200px;
	margin-bottom: 1em;
}

.contactinfo .person .name
{
	font-weight: 500;
	margin-bottom: .5em;
}

.contactinfo .company .city
{
	margin-bottom: 1em;
}

.contactinfo .subtitle h2
{
	text-align: left;
	margin-top: 0;
}

.columns.element .items
{
	display:grid;
	gap: var(--content-padding);
}

.columns.element .items-2
{
	grid-template-columns: minmax(0,1fr) minmax(0,1fr);
}

.columns .items:has(:first-child .contactform)
{
	grid-template-columns: minmax(0,1.5fr) minmax(0,1fr);
}

.googlemap .responsive
{
	position: relative;
	padding: 0;
	height: 70vh;
	overflow: hidden;
}



.responsive
{
	position: relative;
	padding-bottom: 56.25%;
	padding-top: 0px;
	height: 0;
	overflow: hidden;
}

.responsive iframe
{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border:0;
}

.video video
{
	display:block;
	width:100%;
}

.consent-cover
{
	position:absolute;
	width:100%;
	height:100%;
	background: #000000;
	display:flex;
	justify-content: center;
	align-items:center;
}

.consent-cover .consent-message
{
	text-align:center;
	color: #FFFFFF;
}

.consent-cover-info
{
	display:flex;
	flex-direction:column;
	align-items: center;
	gap:.5em;
	padding:2em;
}

.consent-dialog
{
	position:sticky;
	bottom:0;
	background: #000000;
	color: #FFFFFF;
	z-index:1000;
	box-shadow: 3px 3px 10px 0px rgb(50 50 50);
}

.consent-dialog .wrapper
{
	display:flex;
	flex-direction:column;
	gap: 1em;
	margin:auto;
	max-width:80em;
	padding:1em 2em;
}


.consent-dialog .links .items
{
	justify-content: flex-start;
}


.toggle-button
{
	font-size:1.4em;
	position:relative;
	width:2em;
	height:1em;
	background:gray;
	box-sizing:border-box;
	border-radius:.5em;
	transition:background .5s;
	cursor:pointer;
}

.toggle-button::after
{
	content:"";
	position:absolute;
	left:0;
	top:0;
	width:calc(1em - 4px);
	height:calc(1em - 4px);
	margin:2px;
	background:white;
	border-radius:.4em;
}

.toggle-button.active
{
	background:green;
}

.toggle-button.active::after
{
	right:0;
	left:auto;
}

a[consent-settings]
{
	cursor: pointer;
}

.consent-settings.fancybox__content 
{
	background: #000000;
	color: #FFFFFF;
	
	--text-color: #FFFFFF;
	--theme-color: #FFFFFF;
	
}


.consent-settings .tab
{
	border-top:1px solid black;
}

.consent-settings .consent-preferences
{
	border-bottom: 1px solid #FFFFFF;
}

.consent-settings .tab .header
{
	display:flex;
	justify-content: space-between;
	align-items:center;
	gap:.5em;
}


.consent-links
{
	gap:.5em;
	display:inline-flex;
	text-decoration: underline;
	flex-wrap: wrap;
}

.consent-settings .tab [data-toggle]
{
	cursor:pointer;
}

.consent-settings .tab [data-toggle] h2
{
	display: flex;
	gap:.5em;
	align-items: center;
}


.consent-settings .tab [data-toggle] h2:before
{
	display: block;
	font: var(--fa-font-regular);
	content:"\f054"
}

.consent-settings .tab [data-toggle].active h2:before
{
	content:"\f078";
}


.consent-settings .tab .body
{
	padding-bottom: 1em;
}

.consent-settings .tab .body
{
	padding-bottom: 1em;
}


.consent-dialog button.primary,
.consent-settings button.primary,
.consent-cover button.primary
{
	background: #FFFFFF;
	color: #000000;
}


.consent-dialog button.secondary,
.consent-settings button.secondary,
.consent-cover button.secondary
{
	background: #000000;
	border-color: #FFFFFF;
	color: #FFFFFF;
}





.tab .body.toggled
{
	display:block;
}



.hidden
{
	display:none;
}

.tag-pill {
	padding: .1em .5em;
	border: 1px solid var(--text-color);
	border-radius: .5em;
	margin-top: -.25em;
}

/* */


footer
{
	color: var(--footer-text-color);
	background: var(--footer-bg-color);
	position: relative;
	z-index: 900;
}


footer > .wrapper
{
	padding: 2em;
}

footer .group:not(.group-nopad) > .wrapper
{
	padding:0em;
}

footer a
{
	text-decoration: none;
}



footer .subtitle,
footer .typo
{
	color:var(--footer-text-color);
}

footer .text
{
	text-align: center;
}


footer nav
{
	 justify-content: center;
	 margin: 2em auto;
}


.text-left
{
	text-align: left;
}

.text-center
{
	text-align: center;
}

.text-right
{
	text-align: right;
}



.fancybox__content
{
	padding:0;
	width:50em;
	max-width:100%;
	background-color: var(--box-bg-color); 
}

.fancybox__slide.has-image .fancybox__content
{
	width: 100%;
}


.fancybox__content .title h1
{
	text-align: left;
}


.icon::after,
.icon::before
{
	text-align: center;
	font: var(--fa-font-regular);
}



@media(max-width: 1500px)
{

	header .language
	{
		right: 50%;
		transform: translateX(50%);
	}
	
	
	.slideshow .multi .swiper-slide
	{
		width: 33.33% !important;
	}
	
	.title h1
	{
		font-size: 3em;
	}
	
	.gallery.vtours a .overlay .icon
	{
		font-size: 4em;
	}
	
	.gallery.vtours a .overlay .iconsmall
	{
		font-size: 1em;
		padding: .5em;
	}


	.button,
	.contact button
	{
		min-width: 10em;
	}
		
	.links .items .link i 
	{
		font-size: 2em;
	}
	
	.links .items .link img
	{
		width: 8em;
	}
	

}


@media(max-width:1000px)
{
	header nav
	{
		display:none;
	}
	
	.toggled header nav,
	.columns.element .items
	{
		display:block;
	}
	
	header .nav-toggle
	{
		display: flex;
	}
	
	.toggled header nav
	{
		display: flex;
		flex-direction: column;
		padding: 2em 1em 2em 1em;
		width: 100%;
	}
	
	header .wrapper
	{
		flex-direction: column;
	}
	
	header .items
	{
		width: 100%;
	}
	
	header .logo img
	{
		object-position: left center;
	}
	
	header .headerbutton
	{
		top: 0;
		width: 6em;
		left: auto;
		right: 100px;
		
	}

	
}


@media(max-width: 800px)
{

	header .wrapper,
	footer > .wrapper
	{
		padding:1em 1em;
	}
	
	header .logo img
	{
		height:4em;
		width: 12em;
	}
	
	header .headerbutton
	{
		left: auto;
		right: 80px;
		width: 4em;
		top: 0em;
	}

	.group:not(.group-nopad) > .wrapper,
	.box
	{
		padding: 2em 1em;
	}
		
	.title h1
	{
		font-size: 2.2em;
	}
	
	.subtitle h2,
	.dlv .dlv-group h2
	{
		font-size: 1.5em;
	}
	
	.text2col .wrapper
	{
		column-count: 1;
	}
	
	.slideshow .multi .swiper-slide
	{
		width: 50% !important;
	}
	
	.gallery .items a {
		width: 100%;
	}

	.gallery.vtours a .overlay
	{
		font-size: .8em;
	}
	
	.gallery.vtours a .overlay .icon
	{
		font-size: 2em;
	}
	
	.gallery.vtours a .overlay .iconsmall
	{
		display: none;
	}

	.distances table td,
	.distances table th
	{
		min-width: 1em;
		
	}


	.distances table thead td:first-child,
	.distances table td.icon
	{
		display: none;
	}

	.contact > .wrapper > .items {
		grid-template-columns: 1fr;
	}
	

	.contact .info > div.person,
	.contact .info > div.company
	{
		padding: 1em;
	}

	.fancybox__content .group
	{
		padding: 1em;
	}

	.dlv .dlv-list .dlv-entry-body {
		padding: .5rem 0;
	}

	.interactive {
		padding: 0;
	}

/* 	.interactive .model-iso {
		padding: 0 1em;
	} */

	.consent-dialog .wrapper,
	footer > .wrapper
	{
		padding: 2em 1em;
	}

	.consent-settings .links button,
	.links.consent-buttons button 
	{
		min-width: unset;
	}
}



@media(max-width: 600px)
{

	.images .wrapper
	{
		grid-template-columns: 1fr;
	}

	footer nav {
		flex-direction: column;
		align-items: center;
	}
}


@media(max-width: 400px)
{
	body 
	{
		font-size: 15px;
	}
	
	header .headerbutton
	{
		display: none;
	}

	.title h1
	{
		font-size: 2em;
	}
	
	.subtitle h2
	{
		font-size: 1.3em;
	}
	
	.gallery.vtours .items
	{
		grid-template-columns: 1fr;
	}
	
	.distances 
	{
		font-size: .8em;
	}

	.links .items .link {
		width: 100%;
	}

	.links .items .link img {
		width: 12em;
	}

	.dlv .dlv-list .dlv-entry-header 
	{
		padding: 0;
	}

	.dlv .dlv-entry-field
	{
		padding: .25rem;
	}
	
}

@media(max-width: 400px)
{
	body 
	{
		font-size: 14px;
	}
}